apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: traefik-dashboard
  namespace: traefik
  annotations:
    "helm.sh/hook": post-install,post-upgrade,post-rollback
spec:
  entryPoints:
    - websecure
  routes:
    - kind: Rule
      match: Host(`traefik.{{ .Values.clusterInfraSubDomain }}.{{ .Values.ingressDomain }}`) && (PathPrefix(`/api`) || PathPrefix(`/dashboard`))
      services:
        - name: api@internal
          kind: TraefikService
      middlewares:
      {{- if $.Values.secureClusterInfra }}
        - name: traefik-traefik-forward-auth-cluster-infra@kubernetescrd
      {{- end }}
  tls:
    certResolver: ourcertresolver